
package org.jeecg.modules.workFlow.flowlong.engine.core.enums;

import java.util.Objects;

/**
 * 审批人与提交人为同一人时
 *

 */
public enum NodeApproveSelf {
    /**
     * 由发起人对自己审批
     */
    initiatorThemselves(0),
    /**
     * 自动跳过
     */
    AutoSkip(1),
    /**
     * 转交给直接上级审批
     */
    TransferDirectSuperior(2),
    /**
     * 转交给部门负责人审批
     */
    TransferDepartmentHead(3);

    private final int value;

    NodeApproveSelf(int value) {
        this.value = value;
    }

    public boolean ne(Integer value) {
        return !eq(value);
    }

    public boolean eq(Integer value) {
        return Objects.equals(this.value, value);
    }

}

